Bug 443854 - bad prompt for tcsh
bad prompt for tcsh
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 14:06 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 20:17:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unified Patch file that fixes the prompt typo (327 bytes, patch)
2008-04-24 00:35 EDT, Zachary Napora
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2008-04-23 14:06:13 EDT
Description of problem:

/etc/csh.cshrc has:

    set prompt='[%u@%m %c]%# ' 

AFAICT, the user name is supposed to be %n, not %u.

Version-Release number of selected component (if applicable):

setup-2.6.14-1.fc9.noarch

How reproducible:

Every time

Steps to Reproduce:
1. Set a user's shell to /bin/tcsh
2. Log in
  
Actual results:

prompt is shown as '[@localhost ~]$'

Expected results:

prompt is shown as '[<user>@localhost ~]$'
Comment 1 Zachary Napora 2008-04-24 00:35:53 EDT
Created attachment 303573 [details]
Unified Patch file that fixes the prompt typo

Generated a patch file that fixes the prompt syntax. Seems to fix the problem
like you said.
Comment 2 Bug Zapper 2008-05-14 06:01:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ondrej Vasik 2008-11-18 07:13:52 EST
Thanks for report and fix, fixed in rawhide as setup-2.7.4-2.fc11.
Comment 4 Fedora Update System 2008-11-18 10:31:34 EST
setup-2.6.18-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/setup-2.6.18-1.fc9
Comment 5 Fedora Update System 2008-11-19 09:50:34 EST
setup-2.6.18-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9727
Comment 6 Fedora Update System 2008-12-02 20:17:35 EST
setup-2.6.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.